d3.csv('https://gist.githubusercontent.com/chandanagandla/0f8b62169238eb8deba17aaf7468d25e/raw/90aa2e53c556d8f41cc50333222c49f3dd5114df/sales', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'april'), y: unpack(rows, 'may'), z: unpack(rows, 'june'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'july'), y: unpack(rows, 'aug'), z: unpack(rows, 'sep'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'square',
		line: {
		color: 'rgb(166, 12, 12)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});

